# Function selectControlValue$

- selectControlValue$<T, R>(
  control:
  | RxapFormGroup<T, any>
  | RxapFormArray<T, any, any>
  | RxapFormControl<T, any, any>,
  mapFn: (state: T) => R,
  ): Observable<R>

  #### Type Parameters

  - T
  - R

  #### Parameters

  - control:
    | RxapFormGroup<T, any>
    | RxapFormArray<T, any, any>
    | RxapFormControl<T, any, any>
  - mapFn: (state: T) => R

  #### Returns Observable<R>

  - Defined in packages/angular/forms/src/lib/control-actions.ts:161